.\" Man page generated from reStructuredText.
.
.TH "CWB_MKDIR" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_mkdir \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

.fi
.sp
.sp
This page provides a description of the cwb_mkdir command.
.nf

\fBUsage\fP

.in +2
This command creates the working environment to run the analysis.

.in -2
\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_mkdir\fP (no arguments)
Prints help
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_mkdir .\fP
Creates the working environment in the current directory
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_mkdir [WORK_DIR]\fP
It creates the directory WORK_DIR and the working environment in it
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBFurther information\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
The working environment consists of the following sub\-directories:
.INDENT 0.0
.IP \(bu 2
\fBcondor\fP contains the condor files (dag,sub)
.IP \(bu 2
\fBconfig\fP contains the cwb configuration files
.IP \(bu 2
\fBdata\fP contains the output files of eahc job
.IP \(bu 2
\fBinput\fP contains the input data files
.IP \(bu 2
\fBlog\fP contains the condor log files
.IP \(bu 2
\fBmacro\fP contains the macros developed by the user
.IP \(bu 2
\fBmerge\fP contains the files obtained by merging the output files of each job
.IP \(bu 2
\fBoutput\fP contains the output job files
.IP \(bu 2
\fBreport\fP contains the following directories, available on the internet:
.UNINDENT
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
\fBpostprod\fP contains the main post\-production files
.IP \(bu 2
\fBced\fP contains the eventual CEDs
.IP \(bu 2
\fBdump\fP contains ascii or binary files with reports on the analysis
.UNINDENT
.UNINDENT
.UNINDENT
.INDENT 0.0
.IP \(bu 2
\fBtmp\fP contains temporary job files
.IP \(bu 2
\fBwww_dir\fP available on the internet, it contains the following directories:
.UNINDENT
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
\fBpostprod\fP link to report/postprod
.IP \(bu 2
\fBced\fP link to report/ced
.IP \(bu 2
\fBdump\fP link to report/dump
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBExample\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B The following command line creates the working directory JD2_BKG_G1V1_run2r:
\fBcwb_mkdir JD2_BKG_G1V1_run2r\fP
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B With the above command, the following subdirectories are created in JD2_BKG_G1V1_run2r:
\fBconfig, input, condor, tmp, log, output, merge, report, macro, data\fP
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
